Bug 29790 - Deleting serial items fail without warning
Summary: Deleting serial items fail without warning
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29788
  Show dependency treegraph
 
Reported: 2022-01-04 15:00 UTC by Jonathan Druart
Modified: 2022-01-21 18:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02


Attachments
Bug 29790: Restore warning if deletion of serial item fails (1.56 KB, patch)
2022-01-04 15:12 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29790: Restore warning if deletion of serial item fails (1.62 KB, patch)
2022-01-04 15:50 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 29790: Restore warning if deletion of serial item fails (1.67 KB, patch)
2022-01-07 14:08 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2022-01-04 15:00:29 UTC
If the deletion of a serial item failed, the UI does not provide a warning/error message.
Comment 1 Jonathan Druart 2022-01-04 15:12:29 UTC
Created attachment 128992 [details] [review]
Bug 29790: Restore warning if deletion of serial item fails

If the deletion of a serial item failed, the UI did not provide a warning/error message.

Test plan:
0. Create a new subscription with "Create an item record when receiving
this serial"
1. Receive a new item, set a barcode
2. Check it out
3. Select the item you have received in the serial item list (page
"Serial collection information") and click "Delete selected issues"
4. Tick "Delete the associated items" and confirm the deletion
=> Without this patch the deletion fail but the UI does not warn it
=> With this patch applied you see a warning "one or more associated
items could not be deleted at this time."
Comment 2 Tomás Cohen Arazi 2022-01-04 15:50:12 UTC
Created attachment 129006 [details] [review]
Bug 29790: Restore warning if deletion of serial item fails

If the deletion of a serial item failed, the UI did not provide a warning/error message.

Test plan:
0. Create a new subscription with "Create an item record when receiving
this serial"
1. Receive a new item, set a barcode
2. Check it out
3. Select the item you have received in the serial item list (page
"Serial collection information") and click "Delete selected issues"
4. Tick "Delete the associated items" and confirm the deletion
=> Without this patch the deletion fail but the UI does not warn it
=> With this patch applied you see a warning "one or more associated
items could not be deleted at this time."

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Kyle M Hall 2022-01-07 14:08:26 UTC
Created attachment 129168 [details] [review]
Bug 29790: Restore warning if deletion of serial item fails

If the deletion of a serial item failed, the UI did not provide a warning/error message.

Test plan:
0. Create a new subscription with "Create an item record when receiving
this serial"
1. Receive a new item, set a barcode
2. Check it out
3. Select the item you have received in the serial item list (page
"Serial collection information") and click "Delete selected issues"
4. Tick "Delete the associated items" and confirm the deletion
=> Without this patch the deletion fail but the UI does not warn it
=> With this patch applied you see a warning "one or more associated
items could not be deleted at this time."

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Fridolin Somers 2022-01-11 22:51:58 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Kyle M Hall 2022-01-14 14:04:20 UTC
Pushed to 21.11.x for 21.11.02
Comment 6 Andrew Fuerste-Henry 2022-01-21 18:00:21 UTC
With this patch applied to 21.05.x, following the test plan, the issue is deleted but the item is not and I receive no error message. I see no change in behavior with or without the patch. Jonathan, can you take a look? I'm happy to backport, but this doesn't seem to do the trick.